public class BrightnessChannelFilter implements PixelFilter {
	// ### FILTER ###
	
	public int filter(int pixel) {
		int intensity = Pixels.getBrightness(Pixels.ARGBToAHSB(pixel));
		return Pixels.packPixel(
			Pixels.getAlpha(pixel),
			intensity,
			intensity,
			intensity);
	}
	
	public String toString() {
		return "HSB Channel (Brightness)";
	}
}